// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from '@/components/App.vue';
// axios
import '@/config/axios.js';
// include
import '@/config/include.js';

import '~/assets/iconfont/iconfont.css';
/* 引入自己写的全局样式 */
import '~/assets/css/theme/myelement.css';

// 通用store
import store from '@/store/store.js';

// 项目自身的store
import mystore from '~/store/index.js';

// router
import router from './router/index.js';

// 新增项目状态管理 项目自理
store.registerModule(['mystore'], mystore);

// 关闭生产模式下给出的提示
Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
});
